Bug 4909 - Change MyProxy key length from 512 to 1024
: Change MyProxy key length from 512 to 1024
Status: RESOLVED FIXED
: CoG jglobus
myproxy
: 1.4
: All All
: P3 minor
: 1.7
Assigned To:
: http://cvs.ncsa.uiuc.edu/viewcvs.cgi/...
:
:
:
  Show dependency treegraph
 
Reported: 2006-12-15 10:01 by
Modified: 2009-07-08 14:37 (History)


Attachments
patch to increase MyProxy key lengths to 1024 bits (2.57 KB, patch)
2007-01-23 17:07, Jim Basney
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-12-15 10:01:24
In org.globus.myproxy.MyProxy and org.globus.tools.MyProxy, the default key
length for new credentials is 512 bits.  The C version defaults to 1024 bits,
as of December 2005, when it was changed from 512 bits.

Two lines need to be changed:

  * org.globus.myproxy.MyProxy: line 836, change "512" to "1024"
  * org.globus.tools.MyProxy: line 973, change "512" to "1024"

Or better yet, define a constant somewhere that they both refer to.
------- Comment #1 From 2007-01-23 17:07:14 -------
Created an attachment (id=1172) [details]
patch to increase MyProxy key lengths to 1024 bits

Please do bump up the MyProxy key lengths to 1024 bits.  The TAGPMA Profile for
Short Lived Credential Services
(http://www.tagpma.org/files/IGTF-AP-SLCS-20051115-1-1.pdf) requires keys of at
least 1024 bits.
------- Comment #2 From 2007-09-12 16:53:57 -------
Reassigning to current cog developer to close/fix as appropriate
------- Comment #3 From 2009-03-31 14:25:21 -------
I committed the change to the jglobus CVS.